List all Transformation Projects
Returns a list of all transformation projects available via API within your Fivetran account.
Request schema
Query parameters
cursor
string
Paging cursor, read more about pagination
example:
cursor_value
limit
integer
Number of records to fetch per page. Accepts a number in the range 1..1000; the default value is 100.
format:
int32
example:
100
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Accept
string
default:
application/json
example:
application/json
Http + 1.1
GET
https://api.fivetran.com/v1/transformation-projects
GET /v1/transformation-projects?cursor=cursor_value&limit=100 HTTP/1.1 Accept: application/json Authorization: BasicHost: api.fivetran.com
Responses
200
Successful response
200
code
stringrequired
Response status code
example:
Success
message
string
Response status text
example:
Transformation projects retrieved successfully
data
undefinedrequired
items
arrayrequired
The collection of returned items
id
string
The unique identifier for the transformation project within the Fivetran system
type
string
Transformation project type
enum:
"DBT_CORE"
created_at
string
The timestamp when the transformation project was created
format:
date-time
created_by_id
string
The unique identifier for the actor (user or system key) within the Fivetran system
group_id
string
The unique identifier for the group within the Fivetran system
next_cursor
string
The value of the cursor parameter for the next page
example:
cursor_value
{ "code": "Success", "message": "Transformation projects retrieved successfully", "data": { "items": [ { "id": "string", "type": "DBT_CORE", "created_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "group_id": "string" } ], "next_cursor": "cursor_value" } }